﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace Kresleni
{
    public partial class Example : UserControl
    {
        public Example()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            button1.Text = "Click";

            /*
            ListViewItem item = new ListViewItem ();
            item.Text = "New Item";
            item.BackColor = Color.CornflowerBlue;
            listView1.Items.Add (item);
            */

            listView1.Items.Clear ();
            listView1.ShowItemToolTips = true;

            // using System.IO;
            DirectoryInfo d = new DirectoryInfo (".");
            FileInfo [] files = d.GetFiles ();
            foreach (FileInfo f in files)
            {
                ListViewItem item = new ListViewItem();
                item.Text = f.Name;
                item.ToolTipText = f.FullName;
                item.SubItems.Add (f.Length.ToString ("### ### ##0"));
                item.SubItems.Add (f.LastWriteTime.ToString());
                if (f.Extension == ".exe")
                    item.ImageIndex = 0;
                // item.BackColor = Color.CornflowerBlue;
                listView1.Items.Add (item);
            }
        }
    }
}
